﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace EmployeeTest
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Page
    {
        public Window1()
        {
            InitializeComponent();

            EmployeeButton btn = new EmployeeButton();
            btn.Content = new Employee("Jim", "d:\\temp\\EmployeeTest\\images\\BK_MSN.png", new DateTime(1975, 6, 15), false);
            stack.Children.Add(btn);
        }

        private void EmployeeButtonOnClick(object sender, RoutedEventArgs e)
        {
            Button btn = e.Source as Button;
            Employee emp = btn.Content as Employee;
            MessageBox.Show(emp.Name + " button clicked!", Title);
        }

        private void btnNextExample_Click(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(new Uri("SelectDataTemplate.xaml", UriKind.Relative));
        }
    }
}
