﻿using System;
using System.Windows;
using System.Windows.Controls;

namespace EmployeeTest
{
    public class EmployeeTemplateSelector : DataTemplateSelector
    {
        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            //return base.SelectTemplate(item, container);
            Employee emp = item as Employee;
            FrameworkElement el = container as FrameworkElement;

            return (DataTemplate)el.FindResource(
                emp.LeftHanded ? "templateLeft" : "templateRight");
        }
    }
}
